IBM DB2 Functions
db2_bind_param
IBM DB2 Functions
PHP Manual

# db2_autocommit

(PECL ibm_db2 >= 1.0.0)

db2_autocommit — Returns or sets the AUTOCOMMIT state for a database connection

### Description

mixed db2_autocommit ( resource `$connection` [, bool `$value` ] )

Sets or gets the AUTOCOMMIT behavior of the specified connection resource.

### Parameters

`connection`

  A valid database connection resource variable as returned from db2_connect() or db2_pconnect().

`value`

  One of the following constants:

  DB2_AUTOCOMMIT_OFF

    Turns AUTOCOMMIT off.

  DB2_AUTOCOMMIT_ON

    Turns AUTOCOMMIT on.

### Return Values

When db2_autocommit() receives only the `connection` parameter, it returns the current state of AUTOCOMMIT for the requested connection as an integer value. A value of 0 indicates that AUTOCOMMIT is off, while a value of 1 indicates that AUTOCOMMIT is on.

When db2_autocommit() receives both the `connection` parameter and `autocommit` parameter, it attempts to set the AUTOCOMMIT state of the requested connection to the corresponding state. Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Retrieving the AUTOCOMMIT value for a connection

In the following example, a connection which has been created with AUTOCOMMIT turned off is tested with the db2_autocommit() function.

`<?php
$options = array('autocommit' => DB2_AUTOCOMMIT_OFF);
$conn = db2_connect($database, $user, $password, $options);
$ac = db2_autocommit($conn);
if ($ac == 0) {
print "$ac -- AUTOCOMMIT is off.";
} else {
print "$ac -- AUTOCOMMIT is on.";
}
?>`

The above example will output:

    0 -- AUTOCOMMIT is off.

Example #2 Setting the AUTOCOMMIT value for a connection

In the following example, a connection which was initially created with AUTOCOMMIT turned off has its behavior changed to turn AUTOCOMMIT on.

`<?php
$options = array('autocommit' => DB2_AUTOCOMMIT_OFF);
$conn = db2_connect($database, $user, $password, $options);
// Turn AUTOCOMMIT on
$rc = db2_autocommit($conn, DB2_AUTOCOMMIT_ON);
if ($rc) {
print "Turning AUTOCOMMIT on succeeded.\n";
}
// Check AUTOCOMMIT state
$ac = db2_autocommit($conn);
if ($ac == 0) {
print "$ac -- AUTOCOMMIT is off.";
} else {
print "$ac -- AUTOCOMMIT is on.";
}
?>`

The above example will output:

    Turning AUTOCOMMIT on succeeded.
    1 -- AUTOCOMMIT is on.

### See Also

- db2_connect() - Returns a connection to a database
- db2_pconnect() - Returns a persistent connection to a database

IBM DB2 Functions
db2_bind_param
IBM DB2 Functions
PHP Manual